EDIT - bug #6101

NPE when having multiple lanugage support disabled
09/20/2016 02:11 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.3

Severity: normal Found in Version:

Description

This happens when doing a right-click in the feature term editor

Some GUI elements are not initialised when multi language support is disabled but they are used. Probably a simple null check will
solve the problem

'ENTRY org.eclipse.ui 4 0 2016-09-20 14:04:42.243
IMESSAGE This is an unexpected error.
Please contact EDIT Support (EditSupport@bgbm.org) with the error trace below (click on the 'Detai
1s' button).
!STACK O
java.lang.Exception: login : admin
editor version : 4.3.0.qualifier
server : localhost / localhost-dev
schema version : 4.0.0.0.201604200000
os : Linux 4.4.0-3l-generic amdoc4
jJava : 1.7.0_75
org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.NullPointerException)
at org.eclipse.swt.SWT.error (SWT. java:4282)
at org.eclipse.swt.SWT.error (SWT. java:4197)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:138)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display. java:3563)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3212)
at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench. java:2701)
at org.eclipse.ui.internal.Workbench.runUI (Workbench. java:2665)
at org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)
at org.eclipse.ui.internal.Workbench$7.run (Workbench. java:679)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)
at eu.etaxonomy.taxeditor.Application.start (Application. java:24)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:344)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:606)
at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)
at org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)
at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
at org.eclipse.equinox.launcher.Main.main (Main. java:1386)
Caused by: java.lang.NullPointerException
at eu.etaxonomy.taxeditor.ui.element.RepresentationElement.setTerm(RepresentationElement. java:
235)
at eu.etaxonomy.taxeditor.ui.element.TranslatableRepresentationElement.setTerm(TranslatableRep
resentationElement. java:110)
at eu.etaxonomy.taxeditor.ui.element.RepresentationElement.<init> (RepresentationElement. java:l
Associated revisions

Revision db09bbf4 - 09/20/2016 02:49 PM - Katja Luther

fix #6101: add a check for multilanguage preference

History

#1 - 09/20/2016 02:12 PM - Patrick Plitzner
- Description updated

- Target version changed from Unassigned CDM tickets to Release 4.3

#2 - 09/20/2016 02:49 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor:commit:taxeditor|db09bbf4cace84076e5fadb241440655b734827f.

#3 - 09/26/2016 02:32 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

#4 - 10/20/2016 03:45 PM - Patrick Plitzner
- Status changed from Resolved to Closed
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 50 to 100
